package com.njcn.energy.service;

import com.njcn.energy.pojo.param.ElectComparaParam;
import com.njcn.energy.pojo.param.JobInfoParam;
import com.njcn.energy.pojo.param.LoadStatisticParam;
import com.njcn.energy.pojo.vo.ElectCompareVO;
import com.njcn.energy.pojo.vo.LoadStatisticVO;
import com.njcn.energy.pojo.vo.LoadTendencyVO;


import java.util.List;
import java.util.Map;

/**
 * pqs
 *
 * @author cdf
 * @date 2022/4/14
 */
public interface HighAnalyticService {


    /**
     * 获取负荷趋势分析
     * @author cdf
     * @date 2022/4/15
     */
    List<LoadTendencyVO> getLoadTendency(String loadType,String start,String end);


    List<LoadTendencyVO> getLoadDetail(String loadType,String start,String end);

    /**
     * 负荷占比
     * @author cdf
     * @date 2022/4/28
     */
    List<Map<String, String>> getLoadRate(String loadType,String start);

    /**
     * 负荷统计分析
     * @author cdf
     * @date 2022/4/18
     */
    List<LoadStatisticVO> getLoadStatistics(LoadStatisticParam loadStatisticParam);


    /**
     * 获取电度趋势分析
     * @author cdf
     * @date 2022/4/15
     */
    List<LoadTendencyVO> getElectTendency(String loadType,Integer type,String start,String end);


    /**
     * 获取电度比较分析
     * @author cdf
     * @date 2022/4/15
     */
    List<ElectCompareVO> getElectCompare(ElectComparaParam electComparaParam);


    /**
     * 电度占比
     * @author cdf
     * @date 2022/4/27
     */
    List<Map<String, String>> getElectRate(ElectComparaParam electComparaParam);

    /**
     * 电度统计分析
     * @author cdf
     * @date 2022/4/19
     */
    List<LoadStatisticVO> getElectStatistic(ElectComparaParam electComparaParam);



    /**
     * 获取空调趋势
     * @author cdf
     * @date 2022/4/15
     */
    List<LoadTendencyVO> getAirTendency(String start,String end);
}
